Bug 259312 - www/osrm-backend: Update to 5.26.0
Summary: www/osrm-backend: Update to 5.26.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Neel Chauhan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-20 14:48 UTC by Gian-Simon Purkert
Modified: 2021-10-29 16:48 UTC (History)
2 users (show)

See Also:
freebsd: maintainer-feedback+


Attachments
Update to 5.26.0 (934 bytes, patch)
2021-10-20 14:48 UTC, Gian-Simon Purkert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gian-Simon Purkert 2021-10-20 14:48:24 UTC
Created attachment 228883 [details]
Update to 5.26.0

Changes from 5.25.0

API:
        FIXED: Allow for special characters in the profile/method as part of the HTTP URL. #6090
        FIXED: Set osrm-routed to immediately close bad connections #6112
    
Build:
        CHANGED: Replace Travis with Github Actions for CI builds #6071
        FIXED: Fixed Boost link flags in pkg-config file. #6083
        FIXED: Fixed test cache to consider MLD executable changes. #6129
    Routing:
        FIXED: Fix generation of inefficient MLD partitions #6084
        FIXED: Fix MLD level mask generation to support 64-bit masks. #6123
        FIXED: Fix metric offset overflow for large MLD partitions. This breaks the data format #6124

https://github.com/Project-OSRM/osrm-backend/releases/tag/v5.26.0
Comment 1 Peter Laursen 2021-10-28 04:52:53 UTC
Hopefully this is marked as approved.
Go ahead and commit the attached update.
Thanks,

Peter.
Comment 2 Neel Chauhan freebsd_committer 2021-10-29 16:48:50 UTC
Committed!
Comment 3 commit-hook freebsd_committer 2021-10-29 16:48:54 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ee0bc0ed37adc1793fa35bf586bfbfc00cd78f9c

commit ee0bc0ed37adc1793fa35bf586bfbfc00cd78f9c
Author:     Gian-Simon Purkert <gspurki@gmail.com>
AuthorDate: 2021-10-29 16:48:14 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-10-29 16:48:14 +0000

    www/osrm-backend: Update to 5.26.0

    PR:     259312

 www/osrm-backend/Makefile | 2 +-
 www/osrm-backend/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)